https://api.knoxapi.comList all exchange rates
GET/v1/exchange_rates
[Deprecated] The ExchangeRate APIs are deprecated. Please use the FX Quotes API instead. Returns a list of objects that contain the rates at which foreign currencies are converted to one another. Only shows the currencies for which Stripe supports.
Query parameters
ending_beforestringA cursor for use in pagination.
ending_beforeis the currency that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with the exchange rate for currency X your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and total number of supported payout currencies, and the default is the max.
starting_afterstringA cursor for use in pagination.
starting_afteris the currency that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with the exchange rate for currency X, your subsequent call can includestarting_after=Xin order to fetch the next page of the list.
Returns
A list of exchange_rate objects.
curl -G https://api.knoxapi.com/v1/exchange_rates \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const page = await stripe.exchangeRates.list({
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
page = client.v1.exchange_rates.list(params={
"limit": 3,
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
page = Stripe::ExchangeRate.list({
limit: 3,
}){
"object": "list",
"url": "/v1/exchange_rates",
"has_more": false,
"data": [
{
"id": "rate_7573642d636164",
"object": "exchange_rate",
"rates": {}
}
]
}Retrieve an exchange rate
GET/v1/exchange_rates/{rate_id}
[Deprecated] The ExchangeRate APIs are deprecated. Please use the FX Quotes API instead. Retrieves the exchange rates from the given currency to every supported currency.
Path parameters
rate_idstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The exchange_rate object.
curl https://api.knoxapi.com/v1/exchange_rates/rate_id_123 \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const exchangeRate = await stripe.exchangeRates.retrieve('rate_id_123');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
exchange_rate = client.v1.exchange_rates.retrieve("rate_id_123")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
exchange_rate = Stripe::ExchangeRate.retrieve('rate_id_123'){
"id": "rate_7573642d636164",
"object": "exchange_rate",
"rates": {}
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.